Package com.ocient.jdbc

# Class XGConnectionInfo

java.lang.Object
com.ocient.jdbc.XGConnectionInfo

public class XGConnectionInfo extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`XGConnectionInfo.Builder`
`static enum`
`XGConnectionInfo.Hint`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getDatabase()`
`boolean`
`getHint_bypassLoadBalancer()`
`boolean`
`getHint_bypassLoadBalancerOnHandshakeOnly()`
`boolean`
`getHint_bypassPropertyValidation()`
`boolean`
`getHint_bypassUpdateServerVersion()`
`boolean`
`getHint_isRedirect()`
`CaselessProperties`
`getHint_properties()`
`List<XGConnection.RemoteNode>`
`getHint_secondaryInterfaces()`
`XGConnection.Session`
`getHint_session()`
`long`
`getHint_timeoutMillis()`
`String`
`getHint_url()`
`boolean`
`getHint_usesTokenlessSSO()`
`String`
`getIdentityProvider()`
`String`
`getIp()`
`int`
`getPortNum()`
`String`
`getProtocolVersion()`
`String`
`getPwd()`
`XGConnection.Tls`
`getTls()`
`String`
`getUser()`
`int`
`hashCode()`
`XGConnectionInfo.Hint`
`hint()`
`boolean`
`isSparkMode()`
`static XGConnectionInfo.Builder`
`primaryConnection(String user, String pwd, String ip, int portNum, String hint_url, String database, String protocolVersion, XGConnection.Tls tls, String identityProvider, CaselessProperties hint_properties)`
Creates a new primary connection to a database server.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### primaryConnection

public static XGConnectionInfo.Builder primaryConnection(String user, String pwd, String ip, int portNum, String hint_url, String database, String protocolVersion, XGConnection.Tls tls, String identityProvider, CaselessProperties hint_properties)
Creates a new primary connection to a database server.

This method creates a new connection to the database server using the specified connection parameters. Primary connections should not bypass the load balancer, and connection property validation should be performed on the provided connection properties. Server version updates are also performed, since the primary connection should update the server version for the forked connections.

Parameters:
  `user` - the user name for the connection
  `pwd` - the password for the connection
  `ip` - the IP address of the database server
  `portNum` - the port number of the database server
  `hint_url` - the JDBC URL for the connection
  `database` - the name of the database to connect to
  `protocolVersion` - the version of the database protocol to use
  `tls` - the TLS configuration for the connection
  `hint_properties` - additional connection properties to set, validated against the database
Returns:
  a new XGConnectionInfo object representing the new database connection

### hint

public XGConnectionInfo.Hint hint()

### getUser

public String getUser()

### getPwd

public String getPwd()

### getIp

public String getIp()

### getPortNum

public int getPortNum()

### getDatabase

public String getDatabase()

### getProtocolVersion

public String getProtocolVersion()

### getTls

public XGConnection.Tls getTls()

### getIdentityProvider

public String getIdentityProvider()

### getHint_url

public String getHint_url()

### getHint_bypassLoadBalancer

public boolean getHint_bypassLoadBalancer()

### getHint_bypassLoadBalancerOnHandshakeOnly

public boolean getHint_bypassLoadBalancerOnHandshakeOnly()

### getHint_bypassPropertyValidation

public boolean getHint_bypassPropertyValidation()

### getHint_bypassUpdateServerVersion

public boolean getHint_bypassUpdateServerVersion()

### getHint_properties

public CaselessProperties getHint_properties()

### getHint_session

public XGConnection.Session getHint_session()

### getHint_secondaryInterfaces

public List<XGConnection.RemoteNode> getHint_secondaryInterfaces()

### getHint_usesTokenlessSSO

public boolean getHint_usesTokenlessSSO()

### getHint_isRedirect

public boolean getHint_isRedirect()

### getHint_timeoutMillis

public long getHint_timeoutMillis()

### isSparkMode

public boolean isSparkMode()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`